LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-21-2014, 03:53 AM   #1
yogesh_attarde
Member
 
Registered: Jan 2010
Posts: 82

Rep: Reputation: 1
Install gtk+-2.20.0 on RHEL6.2


Hi All,

I am trying to install gtk+-2.20.0 on RHEL6.2 I have downloaded gtk source from http://ftp.gnome.org/pub/gnome/sources/gtk+/2.20/

When I am trying to configure/install it by the procedure given by them I am getting below error.

Code:
checking for BASE_DEPENDENCIES... configure: error: Package requirements (glib-2.0 >= 2.23.6    atk >= 1.29.2    pango >= 1.20    cairo >= 1.6) were not met:

No package 'atk' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BASE_DEPENDENCIES_CFLAGS
and BASE_DEPENDENCIES_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
I have all the required packages installed.

Code:
#rpm -qa | grep -e glib -e atk -e pango -e cairo
pango-1.28.1-7.el6_3.i686
dbus-glib-0.86-6.el6_4.x86_64
glibc-2.12-1.107.el6_4.4.x86_64
pulseaudio-libs-glib2-0.9.21-13.el6.x86_64
glibc-devel-2.12-1.43.el6.x86_64
glib2-2.26.1-7.el6_5.x86_64
pango-1.28.1-7.el6_3.x86_64
pycairo-1.8.6-2.1.el6.x86_64
glibc-2.12-1.43.el6.x86_64
glibc-headers-2.12-1.43.el6.x86_64
cairo-1.8.8-3.1.el6.x86_64
pangomm-2.26.0-1.el6.x86_64
cairo-1.8.8-3.1.el6.i686
glibc-static-2.12-1.107.el6.x86_64
cairo-devel-1.8.8-3.1.el6.x86_64
atk-1.30.0-1.el6.i686
NetworkManager-glib-0.8.1-12.el6.x86_64
glibc-common-2.12-1.107.el6_4.4.x86_64
taglib-1.6.1-1.1.el6.x86_64
glibc-2.12-1.107.el6_4.4.i686
PackageKit-glib-0.5.8-19.el6.x86_64
glibc-common-2.12-1.43.el6.x86_64
glib2-devel-2.26.1-7.el6_5.x86_64
cairomm-1.8.0-2.1.el6.x86_64
glibc-headers-2.12-1.107.el6_4.4.x86_64
atk-1.30.0-1.el6.x86_64
dbus-glib-0.86-6.el6_4.i686
avahi-glib-0.6.25-12.el6.i686
pango-devel-1.28.1-7.el6_3.x86_64
avahi-glib-0.6.25-12.el6.x86_64
poppler-glib-0.12.4-3.el6_0.1.x86_64
glib2-2.26.1-7.el6_5.i686
glibmm24-2.22.1-1.el6.x86_64
Could you please let me know how can I install gtk+-2.20.0 or greater on RHEL6.2

Thanks in advance.

Regards,
Yogesh
 
Old 05-21-2014, 07:34 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2019 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,316

Rep: Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578
Very simple :

# yum install gtk2-devel
... will provide gtk2 version 2.20.1

The connected package(s) will also be installed, as dependencies :
atk-devel-1.30.0 .

-
 
Old 05-22-2014, 01:06 AM   #3
yogesh_attarde
Member
 
Registered: Jan 2010
Posts: 82

Original Poster
Rep: Reputation: 1
Thanks for the reply, but when I am doing # yum install gtk2-devel I get the below error.

Code:
Transaction Check Error:
  file /usr/share/locale/af/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/am/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ang/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ar/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/as/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ast/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/az/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/az_IR/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/be/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/be@latin/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/bg/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/bn/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/bn_IN/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/br/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/bs/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ca/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ca@valencia/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/crh/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/cs/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/cy/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/da/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/de/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/dz/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/el/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/en_CA/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/en_GB/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/eo/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/es/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/et/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/eu/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/fa/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/fi/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ga/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/gl/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/gu/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/he/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/hi/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/hr/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/hu/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/hy/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ia/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/id/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/io/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/is/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/it/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ja/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ka/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/kn/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ko/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ku/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/li/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/lt/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/lv/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/mai/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/mi/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/mk/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ml/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/mn/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/mr/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ms/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/my/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/nb/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/nds/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ne/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/nl/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/nn/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/nso/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/oc/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/or/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/pa/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ps/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/pt/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/pt_BR/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ro/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ru/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/rw/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/si/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/sk/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/sl/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/sq/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/sr/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/sr@ije/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/sr@latin/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/sv/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ta/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/te/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/th/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/tk/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/tr/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/tt/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/ur/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/uz/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/uz@cyrillic/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/vi/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/wa/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/xh/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/yi/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/zh_CN/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/zh_HK/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
  file /usr/share/locale/zh_TW/LC_MESSAGES/gtk20.mo conflicts between attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64

Error Summary
-------------
Could you please let me know how to resolve it.

Regards,
Yogesh
 
Old 05-22-2014, 02:56 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2019 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,316

Rep: Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578Reputation: 3578
# 3 .
Quote:
attempted installs of gtk2-2.18.9-12.el6.i686 and gtk2-2.20.1-4.el6.x86_64
Well, that's strange. The gtk2 packages, that already are installed,
should be updated automatically, I think.

The right way is of course : # yum update
.. then all packages are updated to level RHEL 6.5 .

If you don't want to do so, you can just update your gtk2 with :
# yum update gtk2.i686 gtk2.x86_64

.. And when the gtk2 update has finished : yum install gtk2-devel.x86_64


Problems ? Please ask Redhat ...

-
 
Old 05-22-2014, 04:08 AM   #5
yogesh_attarde
Member
 
Registered: Jan 2010
Posts: 82

Original Poster
Rep: Reputation: 1
Thanks for the information, but I am trying to install it on RHEL6.2


Regards,
Yogesh
 
Old 05-22-2014, 09:55 AM   #6
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 22,222

Rep: Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968Reputation: 5968
Quote:
Originally Posted by yogesh_attarde View Post
Thanks for the information, but I am trying to install it on RHEL6.2
Right, and knudfl gave you the instructions on how to do it for RHEL. Did you follow them? Run those yum commands as they were given to you, and if you have further issues, contact Red Hat.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to install RHEL6.1 on my pc krishnakishorerhce Linux - Newbie 4 07-02-2013 10:32 PM
GTK+ programs on Windows without having to install GTK+, GLib, etc Nylex Programming 2 02-19-2006 02:33 PM
GTK source install doesn't give gtk-config Feebles Linux - Software 4 06-15-2005 01:51 PM
cant find gtk-config file or gtk-devel to install happychappy Linux - Software 2 02-16-2005 01:46 AM
GTK, GTK+ and MPlayer won't install ? ivan@elfak Linux - Newbie 4 02-29-2004 08:19 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 01:49 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration